div#menu2 {
  background-color: rgba(0, 0, 0, 0.8);
  width: 49%;
  position: fixed;
  z-index: 999;
  display: none;
}
ul {
  animation: abrir 0.2s linear forwards;
}
li {
  text-align: center;
  border: 1px solid var(--cor-primaria);
  border-radius: 50px;
  opacity: 0;
  background-color: var(--cor-secundaria);
  color: var(--cor-primaria);
  padding: 10px;
  margin: 30px 0;
  animation: crescer 1.2s ease-in-out forwards;
}
li:nth-child(1) {
  animation-delay: 0.2s;
}
li:nth-child(2) {
  animation-delay: 0.4s;
}
li:nth-child(3) {
  animation-delay: 0.6s;
}
li:nth-child(4) {
  animation-delay: 0.8s;
}
li:hover {
  transition: 0.3s all;
  background-color: var(--cor-primaria);
  color: var(--cor-secundaria);
  cursor: pointer;
}
@keyframes abrir {
  0% {
    height: 0;
  }
  100% {
    height: 100%;
  }
}
@keyframes crescer {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
